CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the e-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 …

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

[OPCIÓNS]

--add-simple-plugin
    Engada un engadido simple (por exemplo un engadido que consista nun só ficheiro .py), indicando a ruta ao ficheiro py que contén o código do engadido.

--command, -c
    Run Python code.

--debug-device-driver, -d
    Depurar a detección de dispositivos

--default-programs
    (Un)register calibre from Windows Default Programs. --default-programs = (register|unregister)

--diff
    Executar a ferramenta diff de calibre. Por exemplo: calibre-debug --diff file1 file2

--edit-book, -t
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Run the Python code in file.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins)

--gui, -g
    Executar a GUI con depuración habilitada. A saída da depuración envíase a stdout e stderr.

--gui-debug
    Executar a GUI con unha consola de depuración, rexistrando na ruta indicada. Só para uso interno, utilizar a opción -g para executar a GUI en modo depuración

--help, -h
    show this help message and exit

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Import previously exported calibre data

--inspect-mobi, -m
    Analizar o ficheiro(s) MOBI na ruta(s) indicada

--paths
    Mostrar as rutas necesarias para instalar o entorno de calibre

--reinitialize-db
    Reiniciar a base de datos sqlite de calibre na ruta indicada. Útil para recuperar se se estraga a base de datos.

--run-plugin, -r
    Executar un engadido que fornece unha interface para a liña de ordes. Por exemplo: calibre-debug -r "Engadir libros" -- file1 --option1 Todo o que vaia despois de -- pásaselle ao engadido como argumentos.

--shutdown-running-calibre, -s
    Apagar unha instancia do Calibre en execución, de existir. Teña en conta que, se existen traballos en execución, estes cancelaranse en silencio, así que hai que utilizala con coidado.

--subset-font, -f
    Subset the specified font. Use -- after this option to pass option to the font subsetting program.

--test-build
    Probar os módulos binarios na compilación

--version
    show program's version number and exit

--viewer, -w
    Run the E-book viewer in debug mode

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal